Bug 982380 - Use xz to compress tarball
Use xz to compress tarball
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: celestia (Show other bugs)
21
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Matías Kreder
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 16:57 EDT by Ville Skyttä
Modified: 2015-06-01 14:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: celestia-1.6.1-18.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-01 14:51:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-07-08 16:57:24 EDT
Compressing the tarball with xz would save about 10 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336 and let me know if you'd like me to take care of this for devel.

diff --git a/celestia.spec b/celestia.spec
index 7139299..59a8316 100644
--- a/celestia.spec
+++ b/celestia.spec
@@ -34 +34 @@ License:        GPLv2+
-# tar cfz celestia-1.6.1-clean.tar.gz celestia-1.6.1
+# tar cJf celestia-1.6.1-clean.tar.xz celestia-1.6.1
@@ -36 +36 @@ License:        GPLv2+
-Source0:        celestia-%{version}-clean.tar.gz
+Source0:        celestia-%{version}-clean.tar.xz
Comment 1 Fedora End Of Life 2013-09-16 10:26:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Fedora Admin XMLRPC Client 2014-11-10 10:33:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2014-11-11 07:03:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Update System 2014-11-16 15:10:19 EST
celestia-1.6.1-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/celestia-1.6.1-18.fc20
Comment 5 Fedora Update System 2014-11-18 07:21:54 EST
Package celestia-1.6.1-18.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing celestia-1.6.1-18.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15293/celestia-1.6.1-18.fc20
then log in and leave karma (feedback).
Comment 6 Ville Skyttä 2014-11-18 12:30:00 EST
It makes no sense to push this for F20 because it's just a repackage of the source, no changes in the binary package --> existing users would benefit nothing from downloading and installing the update. Please delete the F20 update.
Comment 7 Matías Kreder 2014-11-18 17:46:04 EST
Unpushed of Fedora 20

Note You need to log in before you can comment on or make changes to this bug.